<?php
namespace Teknisa\PED\Controllers;

use Teknisa\PED\Controllers\TeknisaCrud;
use Doctrine\ORM\EntityManager;
use Teknisa\PED\Controllers\CrudController;
use Zeedhi\Framework\DataSource\ParameterBag;
use \Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO;

use Teknisa\PED\Services\CrudService;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Request\Row;

use Teknisa\PED\Services\Ger96600AlvarasLicenciamentoService;

class Ger96600AlvarasLicenciamentoController extends TeknisaCrud{
    protected $dataSourceName = 'alvara';
    protected $dataSourceNameToSave = '';
    protected $licenciamentoService;
    protected $parameterBag;
    protected $entityManager;
    
    public function __construct($crudService, ParameterBag $parameterBag, EntityManager $entityManager, Ger96600AlvarasLicenciamentoService $licenciamentoService){
        $this->entityManager = $entityManager;
        $this->licenciamentoService = $licenciamentoService;
        parent::__construct($crudService, $parameterBag);
    }
    
    public function newAlvaraNr($request, $response){
        $newCode = $this->licenciamentoService->getMaxNrAlvara();
        $dataSet = new DataSet ('newAlvaraNr',$newCode);
        $response->addDataSet($dataSet);
    }

}